package gbo.servlet;


import gbo.ejb.TestEjb;

import java.util.logging.Logger;

import javax.naming.InitialContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import javax.servlet.annotation.WebListener;

@WebListener()
public class StartupListener implements ServletContextListener {

	private static final Logger logger = Logger.getLogger(StartupListener.class.getName());
	private TestThread thread;
	
    public StartupListener() {
    }

    public void contextInitialized(ServletContextEvent event) {
    	doLookupTest();
    	thread = new TestThread();
    	thread.start(); 
    }

	private void doLookupTest() {
		try {
			logger.info("before lookup of TestEjb");
			TestEjb testEjb = (TestEjb)new InitialContext().lookup("java:module/TestEjb");
			logger.info("after lookup of TestEjb");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			throw new RuntimeException(e);
		}
	}

    public void contextDestroyed(ServletContextEvent event) {
    	thread.stopMe();
    	thread.interrupt();
    }
	
}
